function [ds,img]=example_AprilTagFinder_simple
% a simple example for AprilTagFinder

%% 1. construct an AprilTagFinder object
atf=AprilTagFinder;
fprintf('press Esc to exit...\n');

%% 2. start detection loop
while true
  [ds,img]=atf.find; %grab the current image and detect apriltags
  
  if atf.waitkey(10)==27 %detects if Esc is pressed for no more than 10ms
    break; %if Esc press, we break out the loop
  end
end

%% 3. clear the object we constructed before
clear('atf');
end